function [X,IC]=singGCPNili(v, phi,php)
%Returns the potential X, and initial condition IC for the singular
%geometric Cauchy problem for "maximal surfaces in the Heisenberg group"
%see Theorem 5.2 of the paper with that title
 a=-phi(0)/2;
 IC= (1/sqrt(2))*[exp(1i*a), exp(-1i*a); -exp(1i*a), exp(-1i*a)];
k1= @(t)-v(t)*cos(phi(t));
k2=@(t)-v(t)*sin(phi(t));
k3=@(t)-php(t);
X=@(z,h)(1/4)*...
    [0,  (k2(z)-1-k1(z)*1i),  2*k3(z)*1i ,      k2(z)+1-k1(z)*1i,        0,               0;...
     0,     0,             -k2(z)-1-k1(z)*1i      , -2*k3(z)*1i ,       (-k2(z)+1-k1(z)*1i), 0];
end